Skip to navigation

List businesses

Beta
View as MarkdownOpen in Claude
Lists businesses with optional filtering and pagination.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

statusstringOptional
Filter by business status.
namestringOptional
Filter by legal name.
merchantCatCodestringOptional
Filter by merchant category code.
legalStructurestringOptional
Filter by legal structure.
limitintegerOptional
Number of results per page.
pageintegerOptional
Page number to return.
sortBystringOptional
Field to sort by.
sortOrderstringOptional
Sort direction.

Response

A page of businesses.
successboolean
Whether the request succeeded.
messagestring or null

A human-readable result message.

traceIdstring or null
The trace identifier for the request, useful for support.
dataobject or null
The page of businesses.
warningslist of objects or null

Non-blocking warnings.

Errors

401
Unauthorized Error
500
Internal Server Error